/**
** This software is distributed under the terms of the General Public License.  
** 
** Program : BuildIT!
** Version : 0.2
** Authors : Artur Prusakiewicz <prusak@mat.uni.torun.pl>
**	     Michal Switala <scisly@mat.uni.torun.pl>
** E-MAIL  : build@mat.uni.torun.pl
** WWW     : http://www.mat.uni.torun.pl/~scisly/buildit/
**           http://www.mat.uni.torun.pl/~prusak/buildit/
**/

#include "Root.h"

root::root(QWidget* parent,const char* name):QWidget( parent, name, 0 )
{
  QButtonGroup *bg1,*bg2;

  bg1=new QButtonGroup(this,"bg1");
  bg1->setGeometry(10,10,380,280);
  bg1->setFrameStyle(49);
  bg1->setAlignment(1);

  label=new QLabel(this,"class");
  label->setGeometry(20,20,150,20);
  label->setAlignment(290);
  label->setMargin(-1);
  
  applet=new QCheckBox(this,"applet");
  applet->setGeometry(190,20,100,20);
  applet->setText("applet");
  applet->setChecked(FALSE);
  connect(applet,SIGNAL(clicked()),SLOT(setITapplet()));

  frame=new QCheckBox(this,"frame");
  frame->setGeometry(190,40,100,20);
  frame->setText("frame");
  frame->setChecked(FALSE);
  connect(frame,SIGNAL(clicked()),SLOT(setITframe()));  

  window=new QCheckBox(this,"window");
  window->setGeometry(190,60,100,20);
  window->setText("window");
  window->setChecked(FALSE);
  connect(window,SIGNAL(clicked()),SLOT(setITwindow()));  
  window->setEnabled(FALSE);

  bg2=new QButtonGroup(this,"bg1");
  bg2->setGeometry(20,90,360,180);
  bg2->setTitle("frame");
  bg2->setFrameStyle(49);
  bg2->setAlignment(1);

  t_label=new QLabel(this,"title");
  t_label->setGeometry(70,120,100,20);
  t_label->setText("frame title");
  t_label->setAlignment(290);
  t_label->setMargin(-1);
  
  title=new QLineEdit(this,"title");
  title->setGeometry(190,120,100,20);
  title->setMaxLength(29);
  
  t_label->setEnabled(FALSE);
  title->setEnabled(FALSE);

  resize(400,300);
}
void root::setCaption(const char *val)
{
  QString descr(val);
  descr+=" extends";
  label->setText(descr.data());
}

void root::setType(int val)
{
  switch(val)
    {
    case AP:
      applet->setChecked(TRUE);
      break;
    case FR:
      frame->setChecked(TRUE);
      title->setEnabled(TRUE);
      t_label->setEnabled(TRUE);
      break;
    case WN:
      window->setChecked(TRUE);
      break;
    }
  type=val;
}

void root::setITapplet()
{
  if(applet->isChecked())
    {
      type=AP;
      frame->setChecked(FALSE);
      window->setChecked(FALSE);
      t_label->setEnabled(FALSE);
      title->setEnabled(FALSE);
    }
  else
    applet->setChecked(TRUE);
}
void root::setITframe()
{
  if(frame->isChecked())
    {
      type=FR;
      applet->setChecked(FALSE);
      window->setChecked(FALSE);
      t_label->setEnabled(TRUE);
      title->setEnabled(TRUE);
    }
  else
    frame->setChecked(TRUE);
}
void root::setITwindow()
{ 
  if(window->isChecked())
    {
      type=WN;
      applet->setChecked(FALSE);
      frame->setChecked(FALSE);
      t_label->setEnabled(FALSE);
      title->setEnabled(FALSE);
    }
  else
    window->setChecked(TRUE);
}

root::~root()
{
}











